spring:
  profiles:
    active: dev
  datasource:
    driverClassName: org.h2.Driver
    url: jdbc:h2:mem:testdb;MODE=MySQL;IGNORECASE=TRUE;DB_CLOSE_DELAY=-1;DB_CLOSE_ON_EXIT=FALSE;TRACE_LEVEL_SYSTEM_OUT=1
    username: sa
    password: sa
    data: classpath:data/kaleidofin.sql
    platform: h2
    jpa:
      database-platform: org.hibernate.dialect.H2Dialect
      database: H2
      show-sql: false
      hibernate:
        ddl-auto: create-drop
      properties:
        hibernate.id.new_generator_mappings: true
        hibernate.cache.use_second_level_cache: false
        hibernate.cache.use_query_cache: false
        hibernate.generate_statistics: true
        hibernate.hbm2ddl.auto: update